org.encog.neural.som.training.clustercopy

## Class SOMClusterCopyTraining

- java.lang.Object
- - org.encog.ml.train.BasicTraining
  - - org.encog.neural.som.training.clustercopy.SOMClusterCopyTraining

- All Implemented Interfaces:
    MLTrain

      public class SOMClusterCopyTraining
      extends BasicTraining

  SOM cluster copy is a very simple trainer for SOM's. Using this trainer all of the training data is copied to the SOM weights. This can provide a functional SOM, or can be used as a starting point for training. For now, this trainer will only work if you have equal or fewer training elements to the number of output neurons. Eventually I hope to expand this by using KMeans clustering.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SOMClusterCopyTraining(SOM network, MLDataSet training)` Construct the object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canContinue()`
    `MLMethod` | `getMethod()` Get the current best machine learning method from the training.
    `boolean` | `isTrainingDone()`
    `void` | `iteration()` Perform one iteration of training.
    `TrainingContinuation` | `pause()` Pause the training to continue later.
    `void` | `resume(TrainingContinuation state)` Resume training.

    - ### Methods inherited from class org.encog.ml.train.BasicTraining

      `addStrategy, finishTraining, getError, getImplementationType, getIteration, getStrategies, getTraining, iteration, postIteration, preIteration, setError, setIteration, setTraining`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SOMClusterCopyTraining

          public SOMClusterCopyTraining(SOM network,
                                MLDataSet training)

      Construct the object.
      Parameters:
        `network` - The network to train.
        `training` - The training data.

  - ### Method Detail

    - #### canContinue

          public final boolean canContinue()

      Returns:
        True if the training can be paused, and later continued.

    - #### isTrainingDone

          public boolean isTrainingDone()

      Specified by:
        `isTrainingDone` in interface `MLTrain`
      Overrides:
        `isTrainingDone` in class `BasicTraining`
      Returns:
        True if training can progress no further.

    - #### getMethod

          public final MLMethod getMethod()

      Get the current best machine learning method from the training.
      Returns:
        The best machine learningm method.

    - #### iteration

          public void iteration()

      Perform one iteration of training.

    - #### pause

          public TrainingContinuation pause()

      Pause the training to continue later.
      Returns:
        A training continuation object.

    - #### resume

          public void resume(TrainingContinuation state)

      Resume training.
      Parameters:
        `state` - The training continuation object to use to continue.

Copyright © 2014. All Rights Reserved.